Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.auth
Class UnauthenticatedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.auth.UnauthenticatedException

All Implemented Interfaces:
  Serializable

    public class UnauthenticatedException

extends Exception

Thrown if a user does not have permission to access a particular method.

Author:
  Jay Kline
See Also:
  Serialized Form

Constructor Summary
`UnauthenticatedException()`
`UnauthenticatedException(String message)`
`UnauthenticatedException(String message, Throwable cause)`
`UnauthenticatedException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnauthenticatedException

    public UnauthenticatedException()

### UnauthenticatedException

    public UnauthenticatedException(String message)

### UnauthenticatedException

    public UnauthenticatedException(Throwable cause)

### UnauthenticatedException

    public UnauthenticatedException(String message,
                                    Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.